Retail Express API 2.1

Searches Stock Adjustment Reasons by parameters

Searches Stock Adjustment Reasons by parameters

get
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons

Query Parameters

filter_bystring | null

Filter by.
Available field name values: id, name, created_on, modified_on, disabled

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,disabled:eq:true

order_bystring | null

Order by.

Available field name values: id, name, created_on, modified_on, disabled

Available direction values: asc, desc.

Example: id asc, name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Stock Adjustment Reasons data

StockAdjustmentReason.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Stock Adjustment Reason Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/stockadjustmentreasons
 
application/json

Updates Stock Adjustment Reason

Sample request:

 PUT /stockadjustmentreasons/12
 {
     "name": "Updated Stock Adjustment Reason name",
     "disabled": true
 }
put
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Stock Adjustment Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Stock Adjustment Reason

StockAdjustmentReason

Stock Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Stock Adjustment Reason Id.

namestring | null

Stock Adjustment Reason name

disabledboolean

Stock Adjustment Reason disabled flag

created_onstring(date-time)

Stock Adjustment Reason creation date and time

modified_onstring(date-time)

Stock Adjustment Reason modification date and time

put/stockadjustmentreasons/{id}

Body

{}
 
application/json

Deletes Stock Adjustment Reason by id when not used in any stock adjustment

Deletes Stock Adjustment Reason by id when not used in any stock adjustment

delete
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Stock Adjustment Reason deleted

delete/stockadjustmentreasons/{id}
 

Gets specific Stock Adjustment Reason by unique id

Gets specific Stock Adjustment Reason by unique id

get
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Stock Adjustment Reason

StockAdjustmentReason

Stock Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Stock Adjustment Reason Id.

namestring | null

Stock Adjustment Reason name

disabledboolean

Stock Adjustment Reason disabled flag

created_onstring(date-time)

Stock Adjustment Reason creation date and time

modified_onstring(date-time)

Stock Adjustment Reason modification date and time

get/stockadjustmentreasons/{id}
 
application/json

stockreceipts